gist_auth {gistr} | R Documentation

## Authorize with GitHub.

### Description

This function is run automatically to allow gistr to access your GitHub account.

### Usage

    gist_auth(app = gistr_app, reauth = FALSE)

### Arguments

`app` | An `oauth_app` for GitHub. The default uses an application `gistr_oauth` created by Scott Chamberlain.
`reauth` | (logical) Force re-authorization?

### Details

There are two ways to authorise gistr to work with your GitHub account:

- Generate a personal access token at https://help.github.com/articles/creating-an-access-token-for-command-line-use and record in the `GITHUB_PAT` envar.

- Interactively login into your GitHub account and authorise with OAuth.

Using `GITHUB_PAT` is recommended.

### Examples

    ## Not run:
    gist_auth()

    ## End(Not run)

[Package gistr version 0.3.6 Index]